"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const baseProj_1 = require("./baseProj");
const globalData_1 = require("../../../model/globalData");
const ProjectType_1 = require("../../../model/ProjectType");
const zip_i_1 = require("zip-i");
const template_1 = require("../../../common/template");
class WebpackProj extends baseProj_1.BaseProj {
    getQuestions() {
        let questionList = [];
        return questionList;
    }
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            if (globalData_1.GlobalData.projectType !== ProjectType_1.ProjectType.webpack) {
                return;
            }
            let templateZipFile = template_1.TemplateData.getProjectTemplate("webpack.zip");
            yield zip_i_1.unzipPath(templateZipFile, globalData_1.GlobalData.projectRootPath);
        });
    }
}
exports.WebpackProj = WebpackProj;
//# sourceMappingURL=webpackProj.js.map